function fn_xmo_listar () {
	swal({
		title 	: 'Alerta!',
		html 	: 'Cargando...',
		onOpen 	: function () {
			swal.showLoading();
			$.ajax({
				url 	: ruta + 'maestras/xmo/listar',
				data 	: {
					texto 	: $('#txt_bxmo').val()
				},
				type 	: 'post',
				dataType: 'json',
				success : function (data) {
					$('#xmo_data').DataTable().destroy();
					$('#xmo_data tbody').html(data[0]);
					$('#xmo_data').DataTable({
    		            "searching"     : false,
    		            "scrollY"       : ($(window).height() - 430) + "px",
    		            "scrollCollapse": true,
    		            "paging"        : false,
    		            "language"		: {
    				    	"url"		: ruta + 'json/Spanish.json'
			            }
					});
					swal.close();
				}
			});
		}
	});
}

function fn_xmo_nuevo() {
	var res = 0;
	swal({
		title 	: 'Nuevo Medicamento',
		html 	: '<input type="text" id="txt_descripcion" name="txt_descripcion" autofocus class="form-control"/>',
		type 	: 'info',
		showCancelButton 		: true,
  		confirmButtonText 		: '<span class="glyphicon glyphicon-floppy-disk"></span> <b>Grabar</b>',
  		cancelButtonText 		: 'Cancelar!',
  		confirmButtonClass 		: 'btn btn-primary',
  		cancelButtonClass 		: 'btn btn-danger',
  		allowOutsideClick 		: false,
        allowEscapeKey 			: false,
  		buttonsStyling 			: false,
  		onOpen: function () {
    		$('#txt_descripcion').focus();
  		},
		preConfirm: function () {
			return new Promise(function (resolve, reject) {
				if($('#txt_descripcion').val()==''){
					reject('Debe ingresar un Medicamento!');
				}else{
					$.ajax({
						url 	: ruta + 'maestras/xmo/insertar',
						data 	: {
							d1 	: $('#txt_descripcion').val()
						},
						type 	: 'post',
						success : function (data) {
							resolve();
							if(data>0)res=1;
						}
					});
				}
			});
		},
		allowOutsideClick: false
	}).then(function () {
		if(res==1)swal('Alerta!','El Medicamento ya existe en el sistema.','warning');
		else{
			swal({
				title 	: 'Alerta!',
				html 	: 'Medicamento ingresado correctamente.',
				type 	: 'success',
				allowOutsideClick 		: false,
        		allowEscapeKey 			: false
        	}).then(function () {
        		fn_xmo_listar();
        	});
		}
	});
}

function fn_xmo_ver(d1, d2) {
	swal({
		title 	: 'Editar Medicamento',
		html 	: '<input type="text" id="txt_descripcion" name="txt_descripcion" value="'+d2+'" autofocus class="form-control"/>',
		type 	: 'info',
		showCancelButton 		: true,
  		confirmButtonText 		: '<span class="glyphicon glyphicon-floppy-disk"></span> <b>Grabar cambios</b>',
  		cancelButtonText 		: 'Cancelar!',
  		confirmButtonClass 		: 'btn btn-primary',
  		cancelButtonClass 		: 'btn btn-danger',
  		allowOutsideClick 		: false,
        allowEscapeKey 			: false,
  		buttonsStyling 			: false,
  		onOpen: function () {
    		$('#txt_descripcion').focus();
  		},
		preConfirm: function () {
			return new Promise(function (resolve, reject) {
				if($('#txt_descripcion').val()==''){
					reject('Debe ingresar un Medicamento!');
				}else{
					$.ajax({
						url 	: ruta + 'maestras/xmo/editar',
						data 	: {
							d1 	: d1,
							d2 	: $('#txt_descripcion').val()
						},
						type 	: 'post',
						success : function (data) {
							resolve();
						}
					});
				}
			});
		},
		allowOutsideClick: false
	}).then(function () {
		swal('Alerta!','Datos grabados correctamente.','success');
		fn_xmo_listar();
	});
}

function fn_xmo_eliminar(d1, d2) {
	swal({
		title 	: 'Editar Medicamento',
		html 	: 'Medicamento: ' + d2 + '<br/>Desea eliminar?',
		type 	: 'info',
		showCancelButton 		: true,
  		confirmButtonText 		: '<span class="glyphicon glyphicon-thumbs-up"></span> <b>Aceptar</b>',
  		cancelButtonText 		: 'Cancelar!',
  		confirmButtonClass 		: 'btn btn-primary',
  		cancelButtonClass 		: 'btn btn-danger',
  		allowOutsideClick 		: false,
        allowEscapeKey 			: false,
  		buttonsStyling 			: false,
		preConfirm: function () {
			return new Promise(function (resolve, reject) {
				$.post(ruta + 'maestras/xmo/eliminar', {
					d1 : d1
				}, function (data) {
					resolve();
				});
			});
		},
		allowOutsideClick: false
	}).then(function () {
		swal('Alerta!','Medicamento eliminado correctamente.','success');
		fn_xmo_listar();
	});
}